<h1></h1>

<form #loginForm="ngForm" (ngSubmit)="loginSubmit(loginForm.value)" novalidate>
    <table>
        <tr>
            <td>Enter EmailId</td>
            <td><input type="text"     name="emailId"  #emailId="ngModel" ngModel required minlength="2" maxlength="40"/></td>
        </tr>
        <tr>
            <td>Enter Password</td>
            <td><input type="password" name="password" #password="ngModel" ngModel required minlength="2" maxlength="20" /></td>
        </tr>
        <tr>
            <td></td>
            <td><button [disabled]="!loginForm.valid"> Login </button></td>
        </tr>
    </table>

    <div>
        <div *ngIf="emailId.errors?.['required'] && emailId.touched"   style="color:red;">Please Enter EmailId</div>
        <div *ngIf="password.errors?.['required'] && password.touched" style="color:red;">Please Enter Password</div>
    
        <div *ngIf="emailId.errors?.['minlength'] && emailId.touched"   style="color:red;">Please Enter atleast 2 Characters for EmailId</div>
        <div *ngIf="password.errors?.['minlength'] && password.touched" style="color:red;">Please Enter atleast 2 Characters for Password</div>
    </div>

</form>

